Bug 1479859 - yum update from cloudforms 4.5.0 to 4.5.1 creates v2_key
yum update from cloudforms 4.5.0 to 4.5.1 creates v2_key
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
All All
medium Severity medium
: GA
: 5.9.0
Assigned To: Nick Carboni
luke couzens
upgrade:black
:
: 1395824 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 11:05 EDT by Ryan Spagnola
Modified: 2017-10-11 08:25 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Spagnola 2017-08-09 11:05:11 EDT
Description of problem:
If you deploy a 4.5.0 appliance and then yum update it to 4.5.1 before you configure it, it appears that somewhere in the yum update process the v2_key gets created. If you then use ``appliance_console_cli`` to try to configure the appliance it errors out and tells you that it found the v2_key and to use the ``--force-key`` flag.


Version-Release number of selected component (if applicable):
5.8.1

How reproducible:
Always

Steps to Reproduce:
1. Deploy 5.8.0 appliance
2. Update appliance to latest release (5.8.1)
3. run the following command: 
appliance_console_cli --key --internal --dbdisk=/dev/sdb --username=root --password=smartvm --dbname=vmdb_production --region=123

Actual results:
appliance states that v2key already exists

Expected results:
configuration success of appliance

Additional info:

Found the same on appliance upgraded from 5.7.2 -> 5.7.3
Comment 2 Nick Carboni 2017-09-18 10:13:30 EDT
Should be fixed by https://github.com/ManageIQ/manageiq-appliance/pull/123
Comment 3 Nick Carboni 2017-09-18 10:14:52 EDT
The key that is generated is of no importance, if you need to join the appliance to a region then you can just remove it and fetch the other key.

If you are creating the database using that key, that is also okay as the key was generated (not shipped with the rpm)
Comment 4 Nick Carboni 2017-09-18 10:20:18 EDT
*** Bug 1395824 has been marked as a duplicate of this bug. ***
Comment 5 luke couzens 2017-10-11 08:25:32 EDT
Verified in 5.9.0.1

Note You need to log in before you can comment on or make changes to this bug.